Bug 829927 - mdadm&device-mapper not in core - dracut has deps on these tools
mdadm&device-mapper not in core - dracut has deps on these tools
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 16:06 EDT by Steven Dake
Modified: 2016-04-26 12:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:41:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Dake 2012-06-07 16:06:49 EDT
Description of problem:
mdadm & device-mapper not in core group

Version-Release number of selected component (if applicable):
fedora 17 iso

How reproducible:
100%

Steps to Reproduce:
1. create a kickstart with only base and core groups
2. kickstart will boot, but won't shutdown properly because dracut depends on mdadm and dmsetup dropping to a debug shell
3.
  
Actual results:
using just base and core results in an image that doesn't shutdown

Expected results:
using just base and core should result in an image that can shutdown


Additional info:
base & core are default for JEOS images used in most cloud environments
Comment 1 Harald Hoyer 2012-06-08 04:48:46 EDT
does a:
# dracut -f
fix the issue?
Comment 2 Harald Hoyer 2012-06-08 06:34:48 EDT

Package dracut-018-52.git20120605.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dracut'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8865/dracut-018-52.git20120605.fc17
then log in and leave karma (feedback).
Comment 3 Steven Dake 2012-06-08 08:48:19 EDT
how do you do dracut -f with kickstart?
Comment 4 Steven Dake 2012-06-08 10:20:16 EDT
Harold,

I should have stated in the earlier bug report I ran kickstart on a F16 host (to kickstart a f17 guest inside oz).  As such I can't install dracut as you recommend.

I do have a question though, if dracut is changed for f17, in order to use this doesn't a new iso need to be generated?

Regards
-steve
Comment 5 Harald Hoyer 2012-06-12 08:52:54 EDT
(In reply to comment #3)
> how do you do dracut -f with kickstart?

you can do that in %post
Comment 6 Fedora End Of Life 2013-07-04 02:59:56 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 14:41:57 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.